#!/usr/bin/perl

# 'include' the XMLRPC client
use Frontier::Client;

# init the client with the target url, login & password
$client = Frontier::Client->new( url => "http://bjoern:bjoern\@marvin.in.skyrix.com:10816/Skyrix/xmlrpc");

# send a message to fetch persons with a name given as the first command
# line argument, store the result in @result
@result = $client->call('person.fetch',"name like \'*$ARGV[0]*\'");

# check how many records we received
$count = @{$result[0]}; 

# draw a header if we got records back
if ($count > 0)
{
  printf("\n%-20s  %-20s\n","Name","Firstname");
  printf("=========================================\n");
}

# iterate over the results
for $i (0 .. $count-1)
{
  # get the current element
  $element = $result[0]->[$i];

  # get the name and the firstname of the current element
  $name = $element->{"name"};
  $firstname = $element->{"firstname"};

  # print them
  printf("%-20s  %-20s\n",$name,$firstname);
}

